"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Actor = void 0;
const react_1 = require("react");
const PersonType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "actor",
        itemScope: true,
        itemType: "https://schema.org/Person",
        ...props,
    }, children);
};
const Actor = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "actor",
        ...props,
    }, children);
};
exports.Actor = Actor;
Actor.Person = PersonType;
