"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Actors = void 0;
const react_1 = require("react");
const PersonType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "actors",
        itemScope: true,
        itemType: "https://schema.org/Person",
        ...props,
    }, children);
};
const Actors = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "actors",
        ...props,
    }, children);
};
exports.Actors = Actors;
Actors.Person = PersonType;
