"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CheatCode = void 0;
const react_1 = require("react");
const CreativeWorkType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "cheatCode",
        itemScope: true,
        itemType: "https://schema.org/CreativeWork",
        ...props,
    }, children);
};
const CheatCode = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "cheatCode",
        ...props,
    }, children);
};
exports.CheatCode = CheatCode;
CheatCode.CreativeWork = CreativeWorkType;
