"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ContainsSeason = void 0;
const react_1 = require("react");
const CreativeWorkSeasonType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "containsSeason",
        itemScope: true,
        itemType: "https://schema.org/CreativeWorkSeason",
        ...props,
    }, children);
};
const ContainsSeason = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "containsSeason",
        ...props,
    }, children);
};
exports.ContainsSeason = ContainsSeason;
ContainsSeason.CreativeWorkSeason = CreativeWorkSeasonType;
