"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Directors = void 0;
const react_1 = require("react");
const PersonType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "directors",
        itemScope: true,
        itemType: "https://schema.org/Person",
        ...props,
    }, children);
};
const Directors = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "directors",
        ...props,
    }, children);
};
exports.Directors = Directors;
Directors.Person = PersonType;
