"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Episodes = void 0;
const react_1 = require("react");
const EpisodeType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "episodes",
        itemScope: true,
        itemType: "https://schema.org/Episode",
        ...props,
    }, children);
};
const Episodes = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "episodes",
        ...props,
    }, children);
};
exports.Episodes = Episodes;
Episodes.Episode = EpisodeType;
