"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GameLocation = void 0;
const react_1 = require("react");
const GameLocation = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'gameLocation',
        ...props,
    }, children);
};
exports.GameLocation = GameLocation;
GameLocation.Place = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "gameLocation",
        itemScope: true,
        itemType: "https://schema.org/Place",
        ...props
    }, children);
};
GameLocation.URL = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "gameLocation",
        itemScope: true,
        itemType: "https://schema.org/URL",
        ...props
    }, children);
};
GameLocation.PostalAddress = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "gameLocation",
        itemScope: true,
        itemType: "https://schema.org/PostalAddress",
        ...props
    }, children);
};
