"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NumberOfSeasons = void 0;
const react_1 = require("react");
const IntegerType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "numberOfSeasons",
        itemScope: true,
        itemType: "https://schema.org/Integer",
        ...props,
    }, children);
};
const NumberOfSeasons = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "numberOfSeasons",
        ...props,
    }, children);
};
exports.NumberOfSeasons = NumberOfSeasons;
NumberOfSeasons.Integer = IntegerType;
