"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Quest = void 0;
const react_1 = require("react");
const ThingType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "quest",
        itemScope: true,
        itemType: "https://schema.org/Thing",
        ...props,
    }, children);
};
const Quest = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "quest",
        ...props,
    }, children);
};
exports.Quest = Quest;
Quest.Thing = ThingType;
