"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Season = void 0;
const react_1 = require("react");
const Season = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'season',
        ...props,
    }, children);
};
exports.Season = Season;
Season.URL = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "season",
        itemScope: true,
        itemType: "https://schema.org/URL",
        ...props
    }, children);
};
Season.CreativeWorkSeason = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "season",
        itemScope: true,
        itemType: "https://schema.org/CreativeWorkSeason",
        ...props
    }, children);
};
