"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Seasons = void 0;
const react_1 = require("react");
const CreativeWorkSeasonType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "seasons",
        itemScope: true,
        itemType: "https://schema.org/CreativeWorkSeason",
        ...props,
    }, children);
};
const Seasons = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "seasons",
        ...props,
    }, children);
};
exports.Seasons = Seasons;
Seasons.CreativeWorkSeason = CreativeWorkSeasonType;
