"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Trailer = void 0;
const react_1 = require("react");
const VideoObjectType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "trailer",
        itemScope: true,
        itemType: "https://schema.org/VideoObject",
        ...props,
    }, children);
};
const Trailer = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "trailer",
        ...props,
    }, children);
};
exports.Trailer = Trailer;
Trailer.VideoObject = VideoObjectType;
