"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Director = void 0;
const react_1 = require("react");
const PersonType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "director",
        itemScope: true,
        itemType: "https://schema.org/Person",
        ...props,
    }, children);
};
const Director = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "director",
        ...props,
    }, children);
};
exports.Director = Director;
Director.Person = PersonType;
