"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Episode = void 0;
const react_1 = require("react");
const Episode = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "episode",
        itemScope: true,
        itemType: "https://schema.org/Episode",
        ...props,
    }, children);
};
exports.Episode = Episode;
