"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GameItem = void 0;
const react_1 = require("react");
const ThingType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "gameItem",
        itemScope: true,
        itemType: "https://schema.org/Thing",
        ...props,
    }, children);
};
const GameItem = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "gameItem",
        ...props,
    }, children);
};
exports.GameItem = GameItem;
GameItem.Thing = ThingType;
