"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GamePlatform = void 0;
const react_1 = require("react");
const GamePlatform = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'gamePlatform',
        ...props,
    }, children);
};
exports.GamePlatform = GamePlatform;
GamePlatform.URL = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "gamePlatform",
        itemScope: true,
        itemType: "https://schema.org/URL",
        ...props
    }, children);
};
GamePlatform.Thing = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "gamePlatform",
        itemScope: true,
        itemType: "https://schema.org/Thing",
        ...props
    }, children);
};
