"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MusicBy = void 0;
const react_1 = require("react");
const MusicBy = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'musicBy',
        ...props,
    }, children);
};
exports.MusicBy = MusicBy;
MusicBy.Person = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "musicBy",
        itemScope: true,
        itemType: "https://schema.org/Person",
        ...props
    }, children);
};
MusicBy.MusicGroup = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "musicBy",
        itemScope: true,
        itemType: "https://schema.org/MusicGroup",
        ...props
    }, children);
};
