"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PlayMode = void 0;
const react_1 = require("react");
const GamePlayModeType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "playMode",
        itemScope: true,
        itemType: "https://schema.org/GamePlayMode",
        ...props,
    }, children);
};
const PlayMode = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "playMode",
        ...props,
    }, children);
};
exports.PlayMode = PlayMode;
PlayMode.GamePlayMode = GamePlayModeType;
