"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProductionCompany = void 0;
const react_1 = require("react");
const OrganizationType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "productionCompany",
        itemScope: true,
        itemType: "https://schema.org/Organization",
        ...props,
    }, children);
};
const ProductionCompany = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "productionCompany",
        ...props,
    }, children);
};
exports.ProductionCompany = ProductionCompany;
ProductionCompany.Organization = OrganizationType;
